---
title: "messageToFluent"
parent: "@messageformat/fluent"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# messageToFluent() function

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Convert a [Message](./messageformat.message.md) data object into a [Fluent.Pattern](https://projectfluent.org/fluent.js/syntax/classes/pattern.html) (i.e. the value of a Fluent message or an attribute).

<b>Signature:</b>

```typescript
export declare function messageToFluent(msg: Message, defaultKey?: string, functionMap?: FunctionMap): Fluent.Pattern;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  msg | [Message](./messageformat.message.md) |  |
|  defaultKey | string | <i>(Optional)</i> The Fluent identifier or numeric literal to use for the default/fallback variant, which is labelled as <code>*</code> in MessageFormat 2. |
|  functionMap | FunctionMap | <i>(Optional)</i> A mapping of MessageFormat 2 → Fluent function names. The special value [FluentMessageRef](./fluent.fluentmessageref.md) maps to Fluent message/term references. |

<b>Returns:</b>

Fluent.Pattern

