---
title: "VariableRef"
parent: "messageformat"
grand_parent: API Reference
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->



# VariableRef interface

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

The value of a VariableRef is defined by the current Scope.

<b>Signature:</b>

```typescript
export interface VariableRef 
```

## Remarks

To refer to an inner property of an object value, use `.` as a separator; in case of conflict, the longest starting substring wins. For example, `'user.name'` would be first matched by an exactly matching top-level key, and in case that fails, with the `'name'` property of the `'user'` object: The runtime scopes `{ 'user.name': 'Kat' }` and `{ user: { name: 'Kat' } }` would both resolve a `'user.name'` VariableRef as the string `'Kat'`<!-- -->.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./messageformat.variableref.name.md) |  | string | <b><i>(BETA)</i></b> |
|  [type](./messageformat.variableref.type.md) |  | 'variable' | <b><i>(BETA)</i></b> |

